Bug 969843 - [abrt] blender-2.67a-1.fc18: RNA_property_enum_items_gettexted: Process /usr/bin/blender was killed by signal 11 (SIGSEGV)
[abrt] blender-2.67a-1.fc18: RNA_property_enum_items_gettexted: Process /usr/...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: blender (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Extras Quality Assurance
abrt_hash:389bea61d029c20e71f74d72bf9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-02 12:47 EDT by Dan d'Auge
Modified: 2014-02-05 18:10 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 18:10:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (43.02 KB, text/plain)
2013-06-02 12:47 EDT, Dan d'Auge
no flags Details
File: cgroup (126 bytes, text/plain)
2013-06-02 12:48 EDT, Dan d'Auge
no flags Details
File: core_backtrace (2.73 KB, text/plain)
2013-06-02 12:48 EDT, Dan d'Auge
no flags Details
File: dso_list (9.82 KB, text/plain)
2013-06-02 12:48 EDT, Dan d'Auge
no flags Details
File: environ (1.34 KB, text/plain)
2013-06-02 12:48 EDT, Dan d'Auge
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-02 12:48 EDT, Dan d'Auge
no flags Details
File: maps (53.55 KB, text/plain)
2013-06-02 12:48 EDT, Dan d'Auge
no flags Details
File: open_fds (396 bytes, text/plain)
2013-06-02 12:48 EDT, Dan d'Auge
no flags Details
File: proc_pid_status (936 bytes, text/plain)
2013-06-02 12:48 EDT, Dan d'Auge
no flags Details
File: var_log_messages (322 bytes, text/plain)
2013-06-02 12:48 EDT, Dan d'Auge
no flags Details
File: xsession_errors (1.92 KB, text/plain)
2013-06-02 12:48 EDT, Dan d'Auge
no flags Details

  None (edit)
Description Dan d'Auge 2013-06-02 12:47:50 EDT
Description of problem:
Bonjour,

Après lancement de blender, en voulant modifier le language d'interface du logiciel pour le passer en français, il plante. Après une relance, le plantage se produit dès le lancement des préférences utilisateurs.

Dan.

Version-Release number of selected component:
blender-2.67a-1.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        blender
crash_function: RNA_property_enum_items_gettexted
executable:     /usr/bin/blender
kernel:         3.9.4-200.fc18.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 RNA_property_enum_items_gettexted at /usr/src/debug/blender-2.67a/source/blender/makesrna/intern/rna_access.c:1276
 #1 ui_def_but_rna at /usr/src/debug/blender-2.67a/source/blender/editors/interface/interface.c:2853
 #2 uiDefButR_prop at /usr/src/debug/blender-2.67a/source/blender/editors/interface/interface.c:3246
 #3 uiDefAutoButR at /usr/src/debug/blender-2.67a/source/blender/editors/interface/interface_utils.c:95
 #4 ui_item_with_label at /usr/src/debug/blender-2.67a/source/blender/editors/interface/interface_layout.c:591
 #5 uiItemFullR at /usr/src/debug/blender-2.67a/source/blender/editors/interface/interface_layout.c:1141
 #6 rna_uiItemR at /usr/src/debug/blender-2.67a/source/blender/makesrna/intern/rna_ui_api.c:121
 #7 UILayout_prop_call at /usr/src/debug/blender-2.67a/cmake-make/source/blender/makesrna/intern/rna_ui_gen.c:2151
 #8 RNA_function_call at /usr/src/debug/blender-2.67a/source/blender/makesrna/intern/rna_access.c:5617
 #9 pyrna_func_call at /usr/src/debug/blender-2.67a/source/blender/python/intern/bpy_rna.c:5256
Comment 1 Dan d'Auge 2013-06-02 12:47:56 EDT
Created attachment 756016 [details]
File: backtrace
Comment 2 Dan d'Auge 2013-06-02 12:48:00 EDT
Created attachment 756017 [details]
File: cgroup
Comment 3 Dan d'Auge 2013-06-02 12:48:03 EDT
Created attachment 756018 [details]
File: core_backtrace
Comment 4 Dan d'Auge 2013-06-02 12:48:06 EDT
Created attachment 756019 [details]
File: dso_list
Comment 5 Dan d'Auge 2013-06-02 12:48:09 EDT
Created attachment 756020 [details]
File: environ
Comment 6 Dan d'Auge 2013-06-02 12:48:13 EDT
Created attachment 756021 [details]
File: limits
Comment 7 Dan d'Auge 2013-06-02 12:48:16 EDT
Created attachment 756022 [details]
File: maps
Comment 8 Dan d'Auge 2013-06-02 12:48:19 EDT
Created attachment 756023 [details]
File: open_fds
Comment 9 Dan d'Auge 2013-06-02 12:48:22 EDT
Created attachment 756024 [details]
File: proc_pid_status
Comment 10 Dan d'Auge 2013-06-02 12:48:25 EDT
Created attachment 756025 [details]
File: var_log_messages
Comment 11 Dan d'Auge 2013-06-02 12:48:29 EDT
Created attachment 756026 [details]
File: xsession_errors
Comment 12 Jochen Schmitt 2013-06-02 14:57:04 EDT
Hello Dan, at first thank you that you have take the time to report thiw bug.
Unfortunatley, I can't understand your problem describtion written in france.
So It may be nice, if you can translate it into english which is the common
language to reporting bug, because the majority of software developers may
understand english even thier are not native speakers.
Comment 13 Jochen Schmitt 2013-06-03 13:50:51 EDT
It may be nice, if you can try out blender-2.67a-3.fc20, which should be 
available on rawhide in the next days.
Comment 14 François Cami 2013-08-26 18:01:57 EDT
@Jochen: Dan says Blender crashes when trying to change the language.
Comment 15 Fedora End Of Life 2013-12-21 10:32:21 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2014-02-05 18:10:38 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.